Name: homeros-tools
Version: 20090414
Release: alt0.M50.1
Packager: Michael Pozhidaev <msp@altlinux.ru>
BuildArch: noarch

Summary: Scripts for ALT Linux Homeros environment
Group: System/Configuration/Other
License: GPL

Requires: etcskel-homeros

Source: %name.tar.gz

%description
%name is a package to help you configure your computer for work with Homeros distribution.
Homeros distribution is the special ALT Linux system adapted for blind people.
Current version of this package contains following scripts:
 - enable-orca-autostart: to make automatic orca execution on every GNOME launch;
 - update-emacs-configuration: to copy emacs configuration from /etc/skel.homeros into current user account;
 - useradd-homeros: to create new user account with predefined Homeros settings.

%prep
%setup -q -n %name
%install
install -pD -m755 useradd-homeros %buildroot%_bindir/useradd-homeros
install -pD -m755 enable-orca-autostart %buildroot%_bindir/enable-orca-autostart
install -pD -m755 update-emacs-configuration %buildroot%_bindir/update-emacs-configuration

%files
%_bindir/*

%changelog
* Tue Apr 14 2009 Michael Pozhidaev <msp@altlinux.ru> 20090414-alt0.M50.1
- 5.0/branch release

* Tue Apr 14 2009 Michael Pozhidaev <msp@altlinux.ru> 20090414-alt1
- Added checking if ~/.emacs.d exists to update-emacs-configuration script

* Sun Apr 05 2009 Michael Pozhidaev <msp@altlinux.ru> 20090405-alt1
- Fixed bug in update-emacs-configuration script

* Sat Apr 04 2009 Michael Pozhidaev <msp@altlinux.ru> 20090404-alt1
- Removed homeros onlogin scripts (it was bad idea)
- Added enable-orca-autostart and update-emacs-configuration scripts

* Wed Oct 15 2008 Michael Pozhidaev <msp@altlinux.ru> 20081015-alt1
- Added useradd-homeros

* Thu Jul 31 2008 Michael Pozhidaev <msp@altlinux.ru> 20080731-alt1
- Initial package

